Ticket #3839 (closed enhancement: fixed)

Opened 8 years ago

Last modified 8 years ago

メンバーの検索で自分を検索対象にしない設定がほしい【スパム(スピム)対策】

Reported by: urabe Assigned to: urabe
Priority: minor Milestone: OpenPNE2.14beta1
Component: 指定しない Version:
Keywords: Cc:

Description (Last modified by urabe)

■概要

スパムのメッセージを軽減するために、mixiの https://mixi.jp/edit_account.pl?detail にあるような、検索設定がほしい。

(メリット)ユーザごとに行える設定なので、管理者の負担がない。
(デメリット)ユーザそれぞれにこの機能を知ってもらう必要がある。

■仕様

  1. 各メンバーのプロフィール設定変更画面、または、設定変更ページで、検索設定の「公開、非公開」を選べるようにする。
  2. 非公開を選択すると、自分が検索対象から外れる

■関連情報

Change History

04/21/09 20:14:14 changed by urabe

  • description changed.

04/21/09 20:14:23 changed by urabe

  • owner changed from nobody to urabe.
  • status changed from new to assigned.

04/27/09 14:28:13 changed by urabe

  • keywords set to 確認中.

r11497 にてコミットしました。

追加が必要なSQL文

ALTER TABLE c_member ADD COLUMN is_search_result TINYINT(1) NOT NULL DEFAULT '1';

04/27/09 14:32:29 changed by urabe

PHPタグを誤って削除したので r11498 で再度コミットしました。

変更の履歴はこちらをご確認ください。 http://trac.openpne.jp/changeset?new=OpenPNE%2Fbranches%2Fwork%2Furabe%2F2.14%2Ftrunk%4011498&old=OpenPNE%2Fbranches%2Fwork%2Furabe%2F2.14%2Ftrunk%4011393

04/30/09 10:33:50 changed by kiwa

  • milestone changed from OpenPNE2.14.0 to OpenPNE2.14beta1.

beta1で取り込みます

05/20/09 10:03:08 changed by kiwa

  • keywords deleted.

05/20/09 11:12:59 changed by nakasone

以下のリビジョンで取り込みを行いました。

05/20/09 14:09:37 changed by kiwa

  • keywords set to 確認中.

確認中にします。

05/20/09 15:48:33 changed by nakasone

以下のような動作確認を行ったところ問題ありませんでした。

  • 検索設定:「公開」に設定→メンバー検索を行う→検索にひっかかる
  • 検索設定:「公開しない」に設定→メンバー検索を行う→検索にひっかからない

05/21/09 14:46:50 changed by imamura623

  • keywords deleted.
  • status changed from assigned to closed.
  • resolution set to fixed.

問題無いようなので、修正完了としこのチケットは閉じます。
お疲れ様でした。